diff --git a/base/server/src/engine/pkiparser.py b/base/server/src/engine/pkiparser.py
index 34078020455dec56c40c02b0c7c51febce5dabeb..bc868d61bc59b4b9aaa8d687eb74f071d78162a7 100644
--- a/base/server/src/engine/pkiparser.py
+++ b/base/server/src/engine/pkiparser.py
@@ -429,361 +432,361 @@ class PKIConfigParser:
         "Create a single master PKI dictionary from the sectional dictionaries"
         try:
             # 'pkispawn'/'pkidestroy' name/value pairs
-            config.pki_master_dict['pki_deployment_executable'] =\
+            self.pki_master_dict['pki_deployment_executable'] =\
                 config.pki_deployment_executable
-            config.pki_master_dict['pki_install_time'] = config.pki_install_time
-            config.pki_master_dict['pki_timestamp'] = config.pki_timestamp
-            config.pki_master_dict['pki_certificate_timestamp'] =\
+            self.pki_master_dict['pki_install_time'] = config.pki_install_time
+            self.pki_master_dict['pki_timestamp'] = config.pki_timestamp
+            self.pki_master_dict['pki_certificate_timestamp'] =\
                 config.pki_certificate_timestamp
-            config.pki_master_dict['pki_architecture'] = config.pki_architecture
-            config.pki_master_dict['pki_default_deployment_cfg'] = config.default_deployment_cfg
-            config.pki_master_dict['pki_user_deployment_cfg'] = config.user_deployment_cfg
-            config.pki_master_dict['pki_deployed_instance_name'] =\
+            self.pki_master_dict['pki_architecture'] = config.pki_architecture
+            self.pki_master_dict['pki_default_deployment_cfg'] = config.default_deployment_cfg
+            self.pki_master_dict['pki_user_deployment_cfg'] = config.user_deployment_cfg
+            self.pki_master_dict['pki_deployed_instance_name'] =\
                 config.pki_deployed_instance_name
             # Generate random 'pin's for use as security database passwords
             # and add these to the "sensitive" key value pairs read in from
             # the configuration file
             pin_low  = 100000000000
             pin_high = 999999999999
-            config.pki_master_dict['pki_pin'] =\
+            self.pki_master_dict['pki_pin'] =\
                 random.randint(pin_low, pin_high)
-            config.pki_master_dict['pki_client_pin'] =\
+            self.pki_master_dict['pki_client_pin'] =\
                 random.randint(pin_low, pin_high)
 
             self.flatten_master_dict()
 
-            pkilogging.sensitive_parameters = config.pki_master_dict['sensitive_parameters'].split()
+            pkilogging.sensitive_parameters = self.pki_master_dict['sensitive_parameters'].split()
 
             # PKI Target (slot substitution) name/value pairs
-            config.pki_master_dict['pki_target_cs_cfg'] =\
+            self.pki_master_dict['pki_target_cs_cfg'] =\
                 os.path.join(
-                    config.pki_master_dict['pki_subsystem_configuration_path'],
+                    self.pki_master_dict['pki_subsystem_configuration_path'],
                     "CS.cfg")
-            config.pki_master_dict['pki_target_registry'] =\
-                os.path.join(config.pki_master_dict['pki_instance_registry_path'],
-                             config.pki_master_dict['pki_instance_name'])
-            if config.pki_master_dict['pki_subsystem'] == "CA" and\
-               config.str2bool(config.pki_master_dict['pki_external_step_two']):
+            self.pki_master_dict['pki_target_registry'] =\
+                os.path.join(self.pki_master_dict['pki_instance_registry_path'],
+                             self.pki_master_dict['pki_instance_name'])
+            if self.pki_master_dict['pki_subsystem'] == "CA" and\
+               config.str2bool(self.pki_master_dict['pki_external_step_two']):
                 # Use the 'pki_one_time_pin' established during the setup of
                 # External CA Step 1
-                if os.path.exists(config.pki_master_dict['pki_target_cs_cfg'])\
+                if os.path.exists(self.pki_master_dict['pki_target_cs_cfg'])\
                    and\
-                   os.path.isfile(config.pki_master_dict['pki_target_cs_cfg']):
+                   os.path.isfile(self.pki_master_dict['pki_target_cs_cfg']):
                     cs_cfg = self.read_simple_configuration_file(
-                                 config.pki_master_dict['pki_target_cs_cfg'])
-                    config.pki_master_dict['pki_one_time_pin'] =\
+                                 self.pki_master_dict['pki_target_cs_cfg'])
+                    self.pki_master_dict['pki_one_time_pin'] =\
                         cs_cfg.get('preop.pin')
                 else:
                     config.pki_log.error(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
-                        config.pki_master_dict['pki_target_cs_cfg'],
+                        self.pki_master_dict['pki_target_cs_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1)
             else:
                 # Generate a one-time pin to be used prior to configuration
                 # and add this to the "sensitive" key value pairs read in from
                 # the configuration file
-                config.pki_master_dict['pki_one_time_pin'] =\
+                self.pki_master_dict['pki_one_time_pin'] =\
                     ''.join(random.choice(string.ascii_letters + string.digits)\
                     for x in range(20))
-            if config.pki_master_dict['pki_subsystem'] in\
+            if self.pki_master_dict['pki_subsystem'] in\
                config.PKI_TOMCAT_SUBSYSTEMS:
-                config.pki_master_dict['pki_target_catalina_properties'] =\
+                self.pki_master_dict['pki_target_catalina_properties'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_instance_configuration_path'],
+                        self.pki_master_dict['pki_instance_configuration_path'],
                         "catalina.properties")
-                config.pki_master_dict['pki_target_servercertnick_conf'] =\
+                self.pki_master_dict['pki_target_servercertnick_conf'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_instance_configuration_path'],
+                        self.pki_master_dict['pki_instance_configuration_path'],
                         "serverCertNick.conf")
-                config.pki_master_dict['pki_target_server_xml'] =\
+                self.pki_master_dict['pki_target_server_xml'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_instance_configuration_path'],
+                        self.pki_master_dict['pki_instance_configuration_path'],
                         "server.xml")
-                config.pki_master_dict['pki_target_context_xml'] =\
+                self.pki_master_dict['pki_target_context_xml'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_instance_configuration_path'],
+                        self.pki_master_dict['pki_instance_configuration_path'],
                         "context.xml")
-                config.pki_master_dict['pki_target_tomcat_conf_instance_id'] =\
-                    config.pki_master_dict['pki_root_prefix'] +\
+                self.pki_master_dict['pki_target_tomcat_conf_instance_id'] =\
+                    self.pki_master_dict['pki_root_prefix'] +\
                     "/etc/sysconfig/" +\
-                    config.pki_master_dict['pki_instance_name']
-                config.pki_master_dict['pki_target_tomcat_conf'] =\
+                    self.pki_master_dict['pki_instance_name']
+                self.pki_master_dict['pki_target_tomcat_conf'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_instance_configuration_path'],
+                        self.pki_master_dict['pki_instance_configuration_path'],
                         "tomcat.conf")
                 # in-place slot substitution name/value pairs
-                config.pki_master_dict['pki_target_velocity_properties'] =\
+                self.pki_master_dict['pki_target_velocity_properties'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
+                        self.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
                         "WEB-INF",
                         "velocity.properties")
-                config.pki_master_dict['pki_target_subsystem_web_xml'] =\
+                self.pki_master_dict['pki_target_subsystem_web_xml'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
+                        self.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
                         "WEB-INF",
                         "web.xml")
-                config.pki_master_dict['pki_target_subsystem_web_xml_orig'] =\
+                self.pki_master_dict['pki_target_subsystem_web_xml_orig'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
+                        self.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
                         "WEB-INF",
                         "web.xml.orig")
                 # subystem-specific slot substitution name/value pairs
-                if config.pki_master_dict['pki_subsystem'] == "CA":
-                    config.pki_master_dict['pki_target_flatfile_txt'] =\
-                        os.path.join(config.pki_master_dict\
+                if self.pki_master_dict['pki_subsystem'] == "CA":
+                    self.pki_master_dict['pki_target_flatfile_txt'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "flatfile.txt")
-                    config.pki_master_dict['pki_target_proxy_conf'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_proxy_conf'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "proxy.conf")
-                    config.pki_master_dict['pki_target_registry_cfg'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_registry_cfg'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "registry.cfg")
                     # '*.profile'
-                    config.pki_master_dict['pki_target_admincert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_admincert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "adminCert.profile")
-                    config.pki_master_dict['pki_target_caauditsigningcert_profile']\
-                        = os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_caauditsigningcert_profile']\
+                        = os.path.join(self.pki_master_dict\
                                        ['pki_subsystem_configuration_path'],
                                        "caAuditSigningCert.profile")
-                    config.pki_master_dict['pki_target_cacert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_cacert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "caCert.profile")
-                    config.pki_master_dict['pki_target_caocspcert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_caocspcert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "caOCSPCert.profile")
-                    config.pki_master_dict['pki_target_servercert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_servercert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "serverCert.profile")
-                    config.pki_master_dict['pki_target_subsystemcert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_subsystemcert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "subsystemCert.profile")
                     # in-place slot substitution name/value pairs
-                    config.pki_master_dict['pki_target_profileselect_template'] =\
+                    self.pki_master_dict['pki_target_profileselect_template'] =\
                         os.path.join(
-                            config.pki_master_dict\
+                            self.pki_master_dict\
                             ['pki_tomcat_webapps_subsystem_path'],
                             "ee",
-                            config.pki_master_dict['pki_subsystem'].lower(),
+                            self.pki_master_dict['pki_subsystem'].lower(),
                             "ProfileSelect.template")
-                elif config.pki_master_dict['pki_subsystem'] == "KRA":
+                elif self.pki_master_dict['pki_subsystem'] == "KRA":
                     # '*.profile'
-                    config.pki_master_dict['pki_target_servercert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_servercert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "serverCert.profile")
-                    config.pki_master_dict['pki_target_storagecert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_storagecert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "storageCert.profile")
-                    config.pki_master_dict['pki_target_subsystemcert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_subsystemcert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "subsystemCert.profile")
-                    config.pki_master_dict['pki_target_transportcert_profile'] =\
-                        os.path.join(config.pki_master_dict\
+                    self.pki_master_dict['pki_target_transportcert_profile'] =\
+                        os.path.join(self.pki_master_dict\
                                      ['pki_subsystem_configuration_path'],
                                      "transportCert.profile")
             # Slot assignment name/value pairs
             #     NOTE:  Master key == Slots key; Master value ==> Slots value
-            config.pki_master_dict['PKI_INSTANCE_NAME_SLOT'] =\
-                config.pki_master_dict['pki_instance_name']
-            config.pki_master_dict['PKI_INSTANCE_INITSCRIPT_SLOT'] =\
-                os.path.join(config.pki_master_dict['pki_instance_path'],
-                             config.pki_master_dict['pki_instance_name'])
-            config.pki_master_dict['PKI_REGISTRY_FILE_SLOT'] =\
-                os.path.join(config.pki_master_dict['pki_subsystem_registry_path'],
-                             config.pki_master_dict['pki_instance_name'])
-            if config.pki_master_dict['pki_subsystem'] in\
+            self.pki_master_dict['PKI_INSTANCE_NAME_SLOT'] =\
+                self.pki_master_dict['pki_instance_name']
+            self.pki_master_dict['PKI_INSTANCE_INITSCRIPT_SLOT'] =\
+                os.path.join(self.pki_master_dict['pki_instance_path'],
+                             self.pki_master_dict['pki_instance_name'])
+            self.pki_master_dict['PKI_REGISTRY_FILE_SLOT'] =\
+                os.path.join(self.pki_master_dict['pki_subsystem_registry_path'],
+                             self.pki_master_dict['pki_instance_name'])
+            if self.pki_master_dict['pki_subsystem'] in\
                config.PKI_APACHE_SUBSYSTEMS:
-                config.pki_master_dict['FORTITUDE_APACHE_SLOT'] = None
-                config.pki_master_dict['FORTITUDE_AUTH_MODULES_SLOT'] = None
-                config.pki_master_dict['FORTITUDE_DIR_SLOT'] = None
-                config.pki_master_dict['FORTITUDE_LIB_DIR_SLOT'] = None
-                config.pki_master_dict['FORTITUDE_MODULE_SLOT'] = None
-                config.pki_master_dict['FORTITUDE_NSS_MODULES_SLOT'] = None
-                config.pki_master_dict['HTTPD_CONF_SLOT'] = None
-                config.pki_master_dict['LIB_PREFIX_SLOT'] = None
-                config.pki_master_dict['NON_CLIENTAUTH_SECURE_PORT_SLOT'] = None
-                config.pki_master_dict['NSS_CONF_SLOT'] = None
-                config.pki_master_dict['OBJ_EXT_SLOT'] = None
-                config.pki_master_dict['PKI_LOCKDIR_SLOT'] =\
+                self.pki_master_dict['FORTITUDE_APACHE_SLOT'] = None
+                self.pki_master_dict['FORTITUDE_AUTH_MODULES_SLOT'] = None
+                self.pki_master_dict['FORTITUDE_DIR_SLOT'] = None
+                self.pki_master_dict['FORTITUDE_LIB_DIR_SLOT'] = None
+                self.pki_master_dict['FORTITUDE_MODULE_SLOT'] = None
+                self.pki_master_dict['FORTITUDE_NSS_MODULES_SLOT'] = None
+                self.pki_master_dict['HTTPD_CONF_SLOT'] = None
+                self.pki_master_dict['LIB_PREFIX_SLOT'] = None
+                self.pki_master_dict['NON_CLIENTAUTH_SECURE_PORT_SLOT'] = None
+                self.pki_master_dict['NSS_CONF_SLOT'] = None
+                self.pki_master_dict['OBJ_EXT_SLOT'] = None
+                self.pki_master_dict['PKI_LOCKDIR_SLOT'] =\
                     os.path.join("/var/lock/pki",
                                  "apache")
-                config.pki_master_dict['PKI_PIDDIR_SLOT'] =\
+                self.pki_master_dict['PKI_PIDDIR_SLOT'] =\
                     os.path.join("/var/run/pki",
                                  "apache")
-                config.pki_master_dict['PKI_WEB_SERVER_TYPE_SLOT'] = "apache"
-                config.pki_master_dict['PORT_SLOT'] = None
-                config.pki_master_dict['PROCESS_ID_SLOT'] = None
-                config.pki_master_dict['REQUIRE_CFG_PL_SLOT'] = None
-                config.pki_master_dict['SECURE_PORT_SLOT'] = None
-                config.pki_master_dict['SECURITY_LIBRARIES_SLOT'] = None
-                config.pki_master_dict['PKI_HOSTNAME_SLOT'] = None
-                config.pki_master_dict['SERVER_ROOT_SLOT'] = None
-                config.pki_master_dict['SYSTEM_LIBRARIES_SLOT'] = None
-                config.pki_master_dict['SYSTEM_USER_LIBRARIES_SLOT'] = None
-                config.pki_master_dict['TMP_DIR_SLOT'] = None
-                config.pki_master_dict['TPS_DIR_SLOT'] = None
-            elif config.pki_master_dict['pki_subsystem'] in\
+                self.pki_master_dict['PKI_WEB_SERVER_TYPE_SLOT'] = "apache"
+                self.pki_master_dict['PORT_SLOT'] = None
+                self.pki_master_dict['PROCESS_ID_SLOT'] = None
+                self.pki_master_dict['REQUIRE_CFG_PL_SLOT'] = None
+                self.pki_master_dict['SECURE_PORT_SLOT'] = None
+                self.pki_master_dict['SECURITY_LIBRARIES_SLOT'] = None
+                self.pki_master_dict['PKI_HOSTNAME_SLOT'] = None
+                self.pki_master_dict['SERVER_ROOT_SLOT'] = None
+                self.pki_master_dict['SYSTEM_LIBRARIES_SLOT'] = None
+                self.pki_master_dict['SYSTEM_USER_LIBRARIES_SLOT'] = None
+                self.pki_master_dict['TMP_DIR_SLOT'] = None
+                self.pki_master_dict['TPS_DIR_SLOT'] = None
+            elif self.pki_master_dict['pki_subsystem'] in\
                  config.PKI_TOMCAT_SUBSYSTEMS:
-                config.pki_master_dict['INSTALL_TIME_SLOT'] =\
-                    config.pki_master_dict['pki_install_time']
-                config.pki_master_dict['PKI_ADMIN_SECURE_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_https_port']
-                config.pki_master_dict\
+                self.pki_master_dict['INSTALL_TIME_SLOT'] =\
+                    self.pki_master_dict['pki_install_time']
+                self.pki_master_dict['PKI_ADMIN_SECURE_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_https_port']
+                self.pki_master_dict\
                 ['PKI_ADMIN_SECURE_PORT_CONNECTOR_NAME_SLOT'] =\
                     "Unused"
-                config.pki_master_dict\
+                self.pki_master_dict\
                 ['PKI_ADMIN_SECURE_PORT_SERVER_COMMENT_SLOT'] =\
                     ""
-                config.pki_master_dict['PKI_AGENT_CLIENTAUTH_SLOT'] =\
+                self.pki_master_dict['PKI_AGENT_CLIENTAUTH_SLOT'] =\
                     "want"
-                config.pki_master_dict['PKI_AGENT_SECURE_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_https_port']
-                config.pki_master_dict['PKI_AJP_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_ajp_port']
-                config.pki_master_dict['PKI_AJP_REDIRECT_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_https_port']
-                config.pki_master_dict['PKI_CA_HOSTNAME_SLOT'] =\
-                    config.pki_master_dict['pki_ca_hostname']
-                config.pki_master_dict['PKI_CA_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_ca_port']
-                config.pki_master_dict['PKI_CERT_DB_PASSWORD_SLOT'] =\
-                    config.pki_master_dict['pki_pin']
-                config.pki_master_dict['PKI_CFG_PATH_NAME_SLOT'] =\
-                    config.pki_master_dict['pki_target_cs_cfg']
-                config.pki_master_dict\
+                self.pki_master_dict['PKI_AGENT_SECURE_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_https_port']
+                self.pki_master_dict['PKI_AJP_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_ajp_port']
+                self.pki_master_dict['PKI_AJP_REDIRECT_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_https_port']
+                self.pki_master_dict['PKI_CA_HOSTNAME_SLOT'] =\
+                    self.pki_master_dict['pki_ca_hostname']
+                self.pki_master_dict['PKI_CA_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_ca_port']
+                self.pki_master_dict['PKI_CERT_DB_PASSWORD_SLOT'] =\
+                    self.pki_master_dict['pki_pin']
+                self.pki_master_dict['PKI_CFG_PATH_NAME_SLOT'] =\
+                    self.pki_master_dict['pki_target_cs_cfg']
+                self.pki_master_dict\
                 ['PKI_CLOSE_SEPARATE_PORTS_SERVER_COMMENT_SLOT'] =\
                     "-->"
-                config.pki_master_dict\
+                self.pki_master_dict\
                 ['PKI_CLOSE_SEPARATE_PORTS_WEB_COMMENT_SLOT'] =\
                     "-->"
-                config.pki_master_dict['PKI_EE_SECURE_CLIENT_AUTH_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_https_port']
-                config.pki_master_dict\
+                self.pki_master_dict['PKI_EE_SECURE_CLIENT_AUTH_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_https_port']
+                self.pki_master_dict\
                 ['PKI_EE_SECURE_CLIENT_AUTH_PORT_CONNECTOR_NAME_SLOT'] =\
                     "Unused"
-                config.pki_master_dict\
+                self.pki_master_dict\
                 ['PKI_EE_SECURE_CLIENT_AUTH_PORT_SERVER_COMMENT_SLOT'] =\
                     ""
-                config.pki_master_dict['PKI_EE_SECURE_CLIENT_AUTH_PORT_UI_SLOT'] =\
-                    config.pki_master_dict['pki_https_port']
-                config.pki_master_dict['PKI_EE_SECURE_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_https_port']
-                config.pki_master_dict['PKI_EE_SECURE_PORT_CONNECTOR_NAME_SLOT'] =\
+                self.pki_master_dict['PKI_EE_SECURE_CLIENT_AUTH_PORT_UI_SLOT'] =\
+                    self.pki_master_dict['pki_https_port']
+                self.pki_master_dict['PKI_EE_SECURE_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_https_port']
+                self.pki_master_dict['PKI_EE_SECURE_PORT_CONNECTOR_NAME_SLOT'] =\
                     "Unused"
-                config.pki_master_dict['PKI_EE_SECURE_PORT_SERVER_COMMENT_SLOT'] =\
+                self.pki_master_dict['PKI_EE_SECURE_PORT_SERVER_COMMENT_SLOT'] =\
                     ""
-                config.pki_master_dict['PKI_GROUP_SLOT'] =\
-                    config.pki_master_dict['pki_group']
-                config.pki_master_dict['PKI_INSTANCE_PATH_SLOT'] =\
-                    config.pki_master_dict['pki_instance_path']
-                config.pki_master_dict['PKI_INSTANCE_ROOT_SLOT'] =\
-                    config.pki_master_dict['pki_path']
-                config.pki_master_dict['PKI_LOCKDIR_SLOT'] =\
+                self.pki_master_dict['PKI_GROUP_SLOT'] =\
+                    self.pki_master_dict['pki_group']
+                self.pki_master_dict['PKI_INSTANCE_PATH_SLOT'] =\
+                    self.pki_master_dict['pki_instance_path']
+                self.pki_master_dict['PKI_INSTANCE_ROOT_SLOT'] =\
+                    self.pki_master_dict['pki_path']
+                self.pki_master_dict['PKI_LOCKDIR_SLOT'] =\
                     os.path.join("/var/lock/pki",
                                  "tomcat")
-                config.pki_master_dict['PKI_HOSTNAME_SLOT'] =\
-                    config.pki_master_dict['pki_hostname']
-                config.pki_master_dict\
+                self.pki_master_dict['PKI_HOSTNAME_SLOT'] =\
+                    self.pki_master_dict['pki_hostname']
+                self.pki_master_dict\
                 ['PKI_OPEN_SEPARATE_PORTS_SERVER_COMMENT_SLOT'] =\
                     "<!--"
-                config.pki_master_dict\
+                self.pki_master_dict\
                 ['PKI_OPEN_SEPARATE_PORTS_WEB_COMMENT_SLOT'] =\
                     "<!--"
-                config.pki_master_dict['PKI_PIDDIR_SLOT'] =\
+                self.pki_master_dict['PKI_PIDDIR_SLOT'] =\
                     os.path.join("/var/run/pki",
                                  "tomcat")
-                if config.str2bool(config.pki_master_dict['pki_enable_proxy']):
-                    config.pki_master_dict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] =\
+                if config.str2bool(self.pki_master_dict['pki_enable_proxy']):
+                    self.pki_master_dict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] =\
                         ""
-                    config.pki_master_dict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] =\
+                    self.pki_master_dict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] =\
                         ""
-                    config.pki_master_dict['PKI_PROXY_SECURE_PORT_SLOT'] =\
-                        config.pki_master_dict['pki_proxy_https_port']
-                    config.pki_master_dict['PKI_PROXY_UNSECURE_PORT_SLOT'] =\
-                        config.pki_master_dict['pki_proxy_http_port']
-                    config.pki_master_dict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] =\
+                    self.pki_master_dict['PKI_PROXY_SECURE_PORT_SLOT'] =\
+                        self.pki_master_dict['pki_proxy_https_port']
+                    self.pki_master_dict['PKI_PROXY_UNSECURE_PORT_SLOT'] =\
+                        self.pki_master_dict['pki_proxy_http_port']
+                    self.pki_master_dict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] =\
                         ""
-                    config.pki_master_dict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] =\
+                    self.pki_master_dict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] =\
                         ""
                 else:
-                    config.pki_master_dict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] =\
+                    self.pki_master_dict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] =\
                         "-->"
-                    config.pki_master_dict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] =\
+                    self.pki_master_dict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] =\
                         "-->"
-                    config.pki_master_dict['PKI_PROXY_SECURE_PORT_SLOT'] = ""
-                    config.pki_master_dict['PKI_PROXY_UNSECURE_PORT_SLOT'] = ""
-                    config.pki_master_dict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] =\
+                    self.pki_master_dict['PKI_PROXY_SECURE_PORT_SLOT'] = ""
+                    self.pki_master_dict['PKI_PROXY_UNSECURE_PORT_SLOT'] = ""
+                    self.pki_master_dict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] =\
                         "<!--"
-                    config.pki_master_dict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] =\
+                    self.pki_master_dict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] =\
                         "<!--"
-                config.pki_master_dict['PKI_TMPDIR_SLOT'] =\
-                    config.pki_master_dict['pki_tomcat_tmpdir_path']
-                config.pki_master_dict['PKI_RESTEASY_LIB_SLOT'] =\
-                    config.pki_master_dict['resteasy_lib']
-                config.pki_master_dict['PKI_RANDOM_NUMBER_SLOT'] =\
-                    config.pki_master_dict['pki_one_time_pin']
-                config.pki_master_dict['PKI_SECURE_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_https_port']
-                config.pki_master_dict['PKI_SECURE_PORT_CONNECTOR_NAME_SLOT'] =\
+                self.pki_master_dict['PKI_TMPDIR_SLOT'] =\
+                    self.pki_master_dict['pki_tomcat_tmpdir_path']
+                self.pki_master_dict['PKI_RESTEASY_LIB_SLOT'] =\
+                    self.pki_master_dict['resteasy_lib']
+                self.pki_master_dict['PKI_RANDOM_NUMBER_SLOT'] =\
+                    self.pki_master_dict['pki_one_time_pin']
+                self.pki_master_dict['PKI_SECURE_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_https_port']
+                self.pki_master_dict['PKI_SECURE_PORT_CONNECTOR_NAME_SLOT'] =\
                     "Secure"
-                config.pki_master_dict['PKI_SECURE_PORT_SERVER_COMMENT_SLOT'] =\
+                self.pki_master_dict['PKI_SECURE_PORT_SERVER_COMMENT_SLOT'] =\
                     "<!-- " +\
                     "Shared Ports:  Agent, EE, and Admin Secure Port Connector " +\
                     "-->"
-                config.pki_master_dict['PKI_SECURITY_MANAGER_SLOT'] =\
-                    config.pki_master_dict['pki_security_manager']
-                config.pki_master_dict['PKI_SERVER_XML_CONF_SLOT'] =\
-                    config.pki_master_dict['pki_target_server_xml']
-                config.pki_master_dict['PKI_SSL_SERVER_NICKNAME_SLOT'] =\
-                    config.pki_master_dict['pki_ssl_server_nickname']
-                config.pki_master_dict['PKI_SUBSYSTEM_TYPE_SLOT'] =\
-                    config.pki_master_dict['pki_subsystem'].lower()
-                config.pki_master_dict['PKI_SYSTEMD_SERVICENAME_SLOT'] =\
+                self.pki_master_dict['PKI_SECURITY_MANAGER_SLOT'] =\
+                    self.pki_master_dict['pki_security_manager']
+                self.pki_master_dict['PKI_SERVER_XML_CONF_SLOT'] =\
+                    self.pki_master_dict['pki_target_server_xml']
+                self.pki_master_dict['PKI_SSL_SERVER_NICKNAME_SLOT'] =\
+                    self.pki_master_dict['pki_ssl_server_nickname']
+                self.pki_master_dict['PKI_SUBSYSTEM_TYPE_SLOT'] =\
+                    self.pki_master_dict['pki_subsystem'].lower()
+                self.pki_master_dict['PKI_SYSTEMD_SERVICENAME_SLOT'] =\
                     "pki-tomcatd" + "@" +\
-                    config.pki_master_dict['pki_instance_name'] + ".service"
-                config.pki_master_dict['PKI_UNSECURE_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_http_port']
-                config.pki_master_dict['PKI_UNSECURE_PORT_CONNECTOR_NAME_SLOT'] =\
+                    self.pki_master_dict['pki_instance_name'] + ".service"
+                self.pki_master_dict['PKI_UNSECURE_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_http_port']
+                self.pki_master_dict['PKI_UNSECURE_PORT_CONNECTOR_NAME_SLOT'] =\
                     "Unsecure"
-                config.pki_master_dict['PKI_UNSECURE_PORT_SERVER_COMMENT_SLOT'] =\
+                self.pki_master_dict['PKI_UNSECURE_PORT_SERVER_COMMENT_SLOT'] =\
                     "<!-- Shared Ports:  Unsecure Port Connector -->"
-                config.pki_master_dict['PKI_USER_SLOT'] =\
-                    config.pki_master_dict['pki_user']
-                config.pki_master_dict['PKI_WEB_SERVER_TYPE_SLOT'] =\
+                self.pki_master_dict['PKI_USER_SLOT'] =\
+                    self.pki_master_dict['pki_user']
+                self.pki_master_dict['PKI_WEB_SERVER_TYPE_SLOT'] =\
                     "tomcat"
-                config.pki_master_dict['PKI_WEBAPPS_NAME_SLOT'] =\
+                self.pki_master_dict['PKI_WEBAPPS_NAME_SLOT'] =\
                     "webapps"
-                config.pki_master_dict['TOMCAT_CFG_SLOT'] =\
-                    config.pki_master_dict['pki_target_tomcat_conf']
-                config.pki_master_dict['TOMCAT_INSTANCE_COMMON_LIB_SLOT'] =\
+                self.pki_master_dict['TOMCAT_CFG_SLOT'] =\
+                    self.pki_master_dict['pki_target_tomcat_conf']
+                self.pki_master_dict['TOMCAT_INSTANCE_COMMON_LIB_SLOT'] =\
                     os.path.join(
-                        config.pki_master_dict['pki_tomcat_common_lib_path'],
+                        self.pki_master_dict['pki_tomcat_common_lib_path'],
                         "*.jar")
-                config.pki_master_dict['TOMCAT_LOG_DIR_SLOT'] =\
-                    config.pki_master_dict['pki_instance_log_path']
-                config.pki_master_dict['TOMCAT_PIDFILE_SLOT'] =\
-                    "/var/run/pki/tomcat/" + config.pki_master_dict['pki_instance_name'] + ".pid"
-                config.pki_master_dict['TOMCAT_SERVER_PORT_SLOT'] =\
-                    config.pki_master_dict['pki_tomcat_server_port']
-                config.pki_master_dict['TOMCAT_SSL2_CIPHERS_SLOT'] =\
+                self.pki_master_dict['TOMCAT_LOG_DIR_SLOT'] =\
+                    self.pki_master_dict['pki_instance_log_path']
+                self.pki_master_dict['TOMCAT_PIDFILE_SLOT'] =\
+                    "/var/run/pki/tomcat/" + self.pki_master_dict['pki_instance_name'] + ".pid"
+                self.pki_master_dict['TOMCAT_SERVER_PORT_SLOT'] =\
+                    self.pki_master_dict['pki_tomcat_server_port']
+                self.pki_master_dict['TOMCAT_SSL2_CIPHERS_SLOT'] =\
                     "-SSL2_RC4_128_WITH_MD5," +\
                     "-SSL2_RC4_128_EXPORT40_WITH_MD5," +\
                     "-SSL2_RC2_128_CBC_WITH_MD5," +\
                     "-SSL2_RC2_128_CBC_EXPORT40_WITH_MD5," +\
                     "-SSL2_DES_64_CBC_WITH_MD5," +\
                     "-SSL2_DES_192_EDE3_CBC_WITH_MD5"
-                config.pki_master_dict['TOMCAT_SSL3_CIPHERS_SLOT'] =\
+                self.pki_master_dict['TOMCAT_SSL3_CIPHERS_SLOT'] =\
                     "-SSL3_FORTEZZA_DMS_WITH_NULL_SHA," +\
                     "-SSL3_FORTEZZA_DMS_WITH_RC4_128_SHA," +\
                     "+SSL3_RSA_WITH_RC4_128_SHA," +\
